Get inbound endpoint
GET /v1/inbound-endpoints/{id}
Retrieve full details of a specific inbound endpoint including verification configuration and status.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Inbound endpoint identifier (UUIDv7)
Example
01935abc-def0-7123-4567-890abcdef012Responses
Section titled “ Responses ”Inbound endpoint details retrieved successfully
object
Full inbound endpoint details (returned by GET /inbound-endpoints/:id)
object
Unique inbound endpoint identifier
Example
01935abc-def0-7123-4567-890abcdef012Endpoint name
Example
Stripe webhooksOptional description
Example
Receives Stripe payment eventsForwarding URL
Example
https://myapp.com/webhooks/stripeWhether the endpoint is active
Example
trueWhether the endpoint is paused
Static token verification enabled
HMAC verification enabled
Example
trueIP allowlist verification enabled
HTTP status code returned to senders
Example
202Header names used for idempotency
Example
[]Whether delivery signing is enabled
Example
2025-12-01T10:00:00ZExample
2025-12-06T12:00:00Zobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "data": { "id": "01935abc-def0-7123-4567-890abcdef012", "name": "Stripe webhooks", "description": "Receives Stripe payment events", "url": "https://myapp.com/webhooks/stripe", "active": true, "paused": false, "verify_static_token": false, "verify_hmac": true, "verify_ip_allowlist": false, "ingest_response_code": 202, "idempotency_header_names": [], "signing_enabled": false, "created_at": "2025-12-01T10:00:00Z", "updated_at": "2025-12-06T12:00:00Z" }, "meta": { "request_id": "req_xyz123" }}Invalid request
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Examples
Endpoint not found
{ "error": { "code": "ENDPOINT_NOT_FOUND", "message": "endpoint not found" }, "meta": { "request_id": "req_xyz123" }}Invalid endpoint ID format
{ "error": { "code": "INVALID_REQUEST", "message": "endpoint_id must be in format ep_xxx" }, "meta": { "request_id": "req_xyz123" }}Invalid payload
{ "error": { "code": "INVALID_REQUEST", "message": "payload must be valid JSON" }, "meta": { "request_id": "req_xyz123" }}Invalid headers
{ "error": { "code": "INVALID_HEADERS", "message": "header 'Host' is forbidden and cannot be overridden" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.